org.apache.jmeter.visualizers

## Class RespTimeGraphLineBean

- java.lang.Object
- - org.apache.jmeter.visualizers.RespTimeGraphLineBean

-     public class RespTimeGraphLineBean
      extends Object

  Bean to represent information about a graph line

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RespTimeGraphLineBean(String label, Color lineColor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()`
    `Color` | `getLineColor()`
    `void` | `setLabel(String label)`
    `void` | `setLineColor(Color lineColor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RespTimeGraphLineBean

          public RespTimeGraphLineBean(String label,
                                       Color lineColor)

      Parameters:
        `label` - The label for this line
        `lineColor` - The `Color` for this line

  - ### Method Detail

    - #### getLabel

          public String getLabel()

      Returns:
        the label

    - #### setLabel

          public void setLabel(String label)

      Parameters:
        `label` - the label to set

    - #### getLineColor

          public Color getLineColor()

      Returns:
        the lineColor

    - #### setLineColor

          public void setLineColor(Color lineColor)

      Parameters:
        `lineColor` - the lineColor to set

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.